summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-11 00:49:49 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-11 00:49:49 +0000
commit1e71d0e3ed57fef1ff9caafa1c840e3cd2f36d76 (patch)
tree5fd0ac3eefaadf117200e3b0abf6297ba6e8781c /dev-python
parent7f3073c0d8a8a9f5000019935dbd060c42641d4e (diff)
downloadbaldeagleos-repo-1e71d0e3ed57fef1ff9caafa1c840e3cd2f36d76.tar.gz
baldeagleos-repo-1e71d0e3ed57fef1ff9caafa1c840e3cd2f36d76.tar.xz
baldeagleos-repo-1e71d0e3ed57fef1ff9caafa1c840e3cd2f36d76.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ctypesgen/ctypesgen-1.0.2.ebuild2
-rw-r--r--dev-python/fakeredis/Manifest1
-rw-r--r--dev-python/fakeredis/fakeredis-1.4.3.ebuild37
-rw-r--r--dev-python/fakeredis/metadata.xml8
-rw-r--r--dev-python/feedparser/feedparser-6.0.0_beta1.ebuild2
-rw-r--r--dev-python/fs/fs-2.4.9-r2.ebuild (renamed from dev-python/fs/fs-2.4.9-r1.ebuild)1
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-0.8.2.ebuild44
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-1.19.2.ebuild145
-rw-r--r--dev-python/pyftpdlib/pyftpdlib-1.5.6-r1.ebuild (renamed from dev-python/pyftpdlib/pyftpdlib-1.5.6.ebuild)22
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild4
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.17.4.ebuild79
-rw-r--r--dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild2
15 files changed, 327 insertions, 23 deletions
diff --git a/dev-python/ctypesgen/ctypesgen-1.0.2.ebuild b/dev-python/ctypesgen/ctypesgen-1.0.2.ebuild
index 028d7e80c060..1f6581cff640 100644
--- a/dev-python/ctypesgen/ctypesgen-1.0.2.ebuild
+++ b/dev-python/ctypesgen/ctypesgen-1.0.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/davidjamesca/ctypesgen/archive/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
IUSE=""
DEPEND=""
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
new file mode 100644
index 000000000000..716be373f2bf
--- /dev/null
+++ b/dev-python/fakeredis/Manifest
@@ -0,0 +1 @@
+DIST fakeredis-1.4.3.gh.tar.gz 64936 BLAKE2B 61f85ec5c5b05b45f421a422f0cab072c24864a970097d2e15340ba7655ba9182c312091b9b6570aaf366fc241bb430fa528068db2728d42b615aecbec635d1a SHA512 56a0cc6d51025ceb24bb46dcdb2a8f638699f9928552d9b0f1592ff93903397304a9166e167de4d7c1d9f718a486f71e249c36e7c0667bde59f46710896da987
diff --git a/dev-python/fakeredis/fakeredis-1.4.3.ebuild b/dev-python/fakeredis/fakeredis-1.4.3.ebuild
new file mode 100644
index 000000000000..7fcd2124250f
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-1.4.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/jamesls/fakeredis/
+ https://pypi.org/project/fakeredis/"
+SRC_URI="
+ https://github.com/jamesls/fakeredis/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/redis-py[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local excludes=(
+ # tests for use with aioredis, not packaged in ::gentoo
+ --ignore test/test_aioredis.py
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+
+ pytest -vv "${excludes[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/fakeredis/metadata.xml b/dev-python/fakeredis/metadata.xml
new file mode 100644
index 000000000000..50567d15b867
--- /dev/null
+++ b/dev-python/fakeredis/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild b/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
index 7a04f2fbde6c..bc5f3282a5ed 100644
--- a/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
+++ b/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 arm ~arm64 hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
RDEPEND="dev-python/sgmllib3k[${PYTHON_USEDEP}]"
diff --git a/dev-python/fs/fs-2.4.9-r1.ebuild b/dev-python/fs/fs-2.4.9-r2.ebuild
index 18f4dbe04522..7cdd16ab46d0 100644
--- a/dev-python/fs/fs-2.4.9-r1.ebuild
+++ b/dev-python/fs/fs-2.4.9-r2.ebuild
@@ -32,7 +32,6 @@ BDEPEND="test? (
dev-python/nose[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pyftpdlib[${PYTHON_USEDEP}]
- dev-python/pysendfile[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
' -3)
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 69df498f4793..5aff091faf01 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,3 +1,4 @@
DIST filesystem_spec-0.7.4.tar.gz 222128 BLAKE2B b111b8194e2c31065a26dcd952aaadf0bc39bf75e94b10f79a387dc1b66838de820bcdcd90af60533dbbd33cfcc275470ccd82b98d0c82154f0633efab355187 SHA512 086e7e7905ff4a55b7027d2b005fd875200bf40469ea4b36effb9805a3416145ba4c709c4a6c8a3ac24a033cbd2104e7ebe401e2610db6c2d8548a63587b343a
DIST filesystem_spec-0.8.0.tar.gz 235922 BLAKE2B 5ca1ce8fe3932ace39f3623217b0918cc7f24c07e86357fd4d3d56630010c37c33e94f0419f5fd6bb86292751ccc93efae305ad3c86c4f94a54b0ae360c9a07d SHA512 55513650f1795657ce274478d4360f2cfc3d2bbd8114df7a458fb3a20277b1594e48b5be38e26154a3af525a169f1e4b3d3c0e387bf3889b78350bacf12cc02b
DIST filesystem_spec-0.8.1.tar.gz 238298 BLAKE2B a4a5fd16b10de1420a33cdc3ee5a37b3f9c93a9a5ccf179f0b022897bb41c8f22cd517bad7ca8ac3c43190e9fcc92b51142a58349a6b1f51274d27e5da1152f3 SHA512 1447f2fb2fc27b5d3ed18cdf43df3c1da9f0bbc03d2dbd0cd69631cfa629c74d2e35358f8bb560b7d2a7d9bb9b7512e2fcf0f7ad6a2f364334748c0026e4b6a6
+DIST filesystem_spec-0.8.2.tar.gz 238399 BLAKE2B f64f153dd303bd3ec44e5010507704b5cbb50a89ad4a7a2e50b38b139219896be543bcff0fe0a99e06f015450f4b0334a641fabeeeb23583b14665ef8f089159 SHA512 e30badc56871ef20cf4b2ce0f6353b4125632d9e253f68d4b08535c9e1ac5fe428745315cee89a9536bfd1b308a28cc65fff555a7b9d9511225357bf790b9aac
diff --git a/dev-python/fsspec/fsspec-0.8.2.ebuild b/dev-python/fsspec/fsspec-0.8.2.ebuild
new file mode 100644
index 000000000000..e6e25af0bfa1
--- /dev/null
+++ b/dev-python/fsspec/fsspec-0.8.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/intake/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/intake/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ # sftp and smb require server started via docker
+ pytest -vv \
+ --ignore fsspec/implementations/tests/test_sftp.py \
+ --ignore fsspec/implementations/tests/test_smb.py ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 0639929cddf3..de57d6601e01 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -2,6 +2,7 @@ DIST numpy-1.16.5.zip 5138208 BLAKE2B f5511650e66939a6ce21cfad7874aecdeb6c07a70b
DIST numpy-1.17.4.zip 6366657 BLAKE2B 89f729bb0740fa721dfe8d1165094a96302fde1e8c272689c11cb4a9bb39d11afaf6eda3ded8a370333b47b9d1ee25e8cb0a602c8cf44964612342c50ea5824f SHA512 f3264be7152437d71718da4728222962013ebd7fe02288d5063f1c763d1c4eee26485c27e8088f4dff79a4d491bc9f191849748c6007d093d22e89c6bff317f3
DIST numpy-1.19.0.zip 7296082 BLAKE2B e388a1b8aa8fa5e23b57c69c5aa5f2b7b286a69fca6007843adbfa374d541ace7875757a302e851bc41194f565390b52777fff13da8166e7a2c6b0a0f3efd29c SHA512 24f8847ff6b72dd44db197fbd80596677f9f3c5afcc87f30c41a4c0a2ccd4ee652ca630a537997ba8fe68c4919fa488e9d8cadd9a310e5356b017f6086055850
DIST numpy-1.19.1.zip 7301568 BLAKE2B f7c17666d8cd4f477d7946be383d2ff1656c412e23dc49c55f94a6fcb95a6cffe6b4958169b1b27e027a7d674feb96de979d8bba4f1e3d9daef9b72e7f48cafa SHA512 ddc5f5e262d6f7f6e1a8879165860427baa237b6aad5b09d5b943a36bb0d5922424aac4c0e32a2cc3e14087bf6eb671988b6ff6df0d9ab8c89724e093220eead
+DIST numpy-1.19.2.zip 7310530 BLAKE2B a019c64809bd61071a4dd5e10c2cdf6927f392ebe58b45a08529295079bca68a683502aba89847578e122271d2fa4ea6d2d5461f1e58322f550cda863d36125b SHA512 56ae348f08818e30b6675df7d41a2b03687af452d7a96356fccfce2994843c7b61918946381c3af25fe03f209413d0378ee691fc38d805491a12c464e49bb59c
DIST numpy-html-1.16.4.zip 12097069 BLAKE2B db1f897342fbc80a761fbaee7b0eee3761dbfa04ef6c46a137bb2392caaec8256580467ce06498cceeada2639151a1ec75dafab484d64cb897c008727d6d32a5 SHA512 c44c5e1e0cb22f9dd46fe9e302030292d85e567456178fee296746a414271634e906509fb6665ac63fbfebdd13c5383574f0aa47b4fbc639063da31addc3316a
DIST numpy-ref-1.16.4.pdf 5176571 BLAKE2B 9a875ebd1473b241d463d810a6d191581aef961158f2f82959671b554ace3ad482795e4f3e1cb7dd4632cff926c1e864c675a7624fb0f4e4f297948bf50f0564 SHA512 983ba0f34a70c011886bdbc9fd8f3f75a3a967ca29217acc76fa46e7da391296a5628c9a557ac76efb393271abfb8ee4f376d401c1cc1e5c30622e54b9325d09
DIST numpy-user-1.16.4.pdf 596203 BLAKE2B da3ad1f0ec1c965d20656f73a970911cbb58efa73a5df89e2e6485e0dd763f483e35eea1395ac919bf35d496fb216cee954fc5d31edebc1796a24a2a7a2d12b9 SHA512 3083008547213bfa98ffa5cd8e2cea13f6947f42d83aef61502a2a852b0d5f27d727c76b42d281d7a2f4f76c78e88b12ee3d9b164b39fe1f0213ace7097357d6
diff --git a/dev-python/numpy/numpy-1.19.2.ebuild b/dev-python/numpy/numpy-1.19.2.ebuild
new file mode 100644
index 000000000000..4b10c4d6ff50
--- /dev/null
+++ b/dev-python/numpy/numpy-1.19.2.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 flag-o-matic fortran-2 multiprocessing toolchain-funcs
+
+DOC_PV="1.16.4"
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="https://www.numpy.org"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.zip
+ doc? (
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
+ )"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ app-arch/unzip
+ >=dev-python/cython-0.29.21[${PYTHON_USEDEP}]
+ lapack? ( virtual/pkgconfig )
+ test? (
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.17.4-no-hardcode-blasv2.patch
+)
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_prepare_all() {
+ if use lapack; then
+ local incdir="${EPREFIX}"/usr/include
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = ${incdir}
+ library_dirs = ${libdir}
+ blas_libs = cblas,blas
+ [lapack]
+ library_dirs = ${libdir}
+ lapack_libs = lapack
+ EOF
+ else
+ export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+ fi
+
+ export CC="$(tc-getCC) ${CFLAGS}"
+
+ append-flags -fno-strict-aliasing
+
+ # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+ # with the subtle difference that we don't want to break Darwin where
+ # -shared is not a valid linker argument
+ if [[ ${CHOST} != *-darwin* ]]; then
+ append-ldflags -shared
+ fi
+
+ # only one fortran to link with:
+ # linking with cblas and lapack library will force
+ # autodetecting and linking to all available fortran compilers
+ append-fflags -fPIC
+ if use lapack; then
+ NUMPY_FCONFIG="config_fc --noopt --noarch"
+ # workaround bug 335908
+ [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
+ fi
+
+ # don't version f2py, we will handle it.
+ sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
+
+ # disable fuzzed tests
+ find numpy/*/tests -name '*.py' -exec sed -i \
+ -e 's:def \(.*_fuzz\):def _\1:' {} + || die
+ # very memory- and disk-hungry
+ sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ export MAKEOPTS=-j1 #660754
+
+ distutils-r1_python_compile ${NUMPY_FCONFIG}
+}
+
+python_test() {
+ distutils_install_for_testing --single-version-externally-managed \
+ --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
+
+ cd "${TMPDIR}" || die
+
+ "${EPYTHON}" -c "
+import numpy, sys
+r = numpy.test(label='full', verbose=3)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+ # https://github.com/numpy/numpy/issues/16005
+ local mydistutilsargs=( build_src )
+ distutils-r1_python_install ${NUMPY_FCONFIG}
+ python_optimize
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+
+ if use doc; then
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyftpdlib/pyftpdlib-1.5.6.ebuild b/dev-python/pyftpdlib/pyftpdlib-1.5.6-r1.ebuild
index b3c4323e3c96..c98a11ff0494 100644
--- a/dev-python/pyftpdlib/pyftpdlib-1.5.6.ebuild
+++ b/dev-python/pyftpdlib/pyftpdlib-1.5.6-r1.ebuild
@@ -2,7 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE="ssl(+)"
inherit distutils-r1
@@ -19,13 +20,10 @@ RESTRICT="!test? ( test )"
RDEPEND="
ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
- dev-python/pysendfile[${PYTHON_USEDEP}]
"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
+BDEPEND="
test? (
${RDEPEND}
- dev-python/mock[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
@@ -40,6 +38,8 @@ python_test() {
pytest ${PN}/test/test_misc.py || die "Tests failed with ${EPYTHON}"
# Some of these tests tend to fail
local skipped_tests=(
+ # Those tests are run separately
+ pyftpdlib/test/test_misc.py
# https://github.com/giampaolo/pyftpdlib/issues/470
# https://bugs.gentoo.org/659108
pyftpdlib/test/test_functional_ssl.py::TestTimeouts::test_idle_data_timeout2
@@ -62,8 +62,7 @@ python_test() {
pyftpdlib/test/test_servers.py::TestFtpAuthentication::test_auth_failed
)
# Tests fail with TZ=GMT, see https://bugs.gentoo.org/666623
- TZ=UTC+1 pytest -vv \
- --ignore ${PN}/test/test_misc.py ${skipped_tests[@]/#/--deselect } \
+ TZ=UTC+1 pytest -vv ${skipped_tests[@]/#/--deselect } \
|| die "Tests failed with ${EPYTHON}"
}
@@ -75,12 +74,3 @@ python_install_all() {
fi
distutils-r1_python_install_all
}
-
-pkg_postinst() {
- if [[ -z ${REPLACING_VERSIONS} ]] && \
- [[ ${PYTHON_TARGETS} == *python2_7* ]] && \
- ! has_version dev-python/pysendfile ; then
- elog "dev-python/pysendfile is not installed"
- elog "It can considerably speed up file transfers for Python 2"
- fi
-}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 67e98ca4d7c0..be7cc4a2d688 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,2 +1,3 @@
DIST sentry-sdk-0.14.4.tar.gz 75420 BLAKE2B cbc5f401fae8a4a9eaa8f6fff8ca16a61cf2d339f14787610646112f67d7b0694d95a6076d2810968d28eb176d447fec6cf49af9a317bb2c30b4e6ab2d89a4f0 SHA512 66886df71a3d8f9f86f41bfc4078bf80f217bcb0a27fb9e93acee193b482d3045db44953f6f0b4d05e79daa91dadb56c2784b13d1308e7bc00fb40f485537dab
DIST sentry-sdk-0.16.3.tar.gz 170145 BLAKE2B bf619313fb3f49800f5384f0dfec3aa34ef4bb030c5e038a485a8861a733a537ee7c834c8c200a2244335c3c61e7d564005b81d4e5c5f603d2864b2a943a5384 SHA512 e8589f7bd433d4aff068099e860c0cf012fc88dc63806873573a338bb91848d73e0a2af76dad0a5e023a1b25b0be85507346b77dec5c5a265942005219541699
+DIST sentry-sdk-0.17.4.tar.gz 180562 BLAKE2B e6061d35ff098ef79cb4b21299e3622ea9d6ffe2b5f287843ea982f3254439ed00f7d8da6bff97cd5ec485d88e1d4beb5636a43c17a0b786582e6595cb64f15f SHA512 daa9f610e9fb7ad054a579be987ca21f925166fc3491aa3a7990593fbe45a7f51a473ca016762f627d4c07bcca249b2972694b832644e23484fd067e87f59d7d
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
index 1bf00b12d275..b8f838b0ebaf 100644
--- a/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
+++ b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
@@ -25,6 +25,7 @@ BDEPEND="
dev-python/asttokens[${PYTHON_USEDEP}]
<dev-python/dnspython-2[${PYTHON_USEDEP}]
dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
dev-python/flask-login[${PYTHON_USEDEP}]
dev-python/gevent[${PYTHON_USEDEP}]
dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
@@ -42,9 +43,6 @@ distutils_enable_tests pytest
python_test() {
local deselect=(
- # unpackaged 'fakeredis'
- --ignore tests/integrations/redis/test_redis.py
- --ignore tests/integrations/rq/test_rq.py
# tests require Internet access
--ignore tests/integrations/stdlib/test_httplib.py
--ignore tests/integrations/requests/test_requests.py
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.17.4.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.17.4.ebuild
new file mode 100644
index 000000000000..88b87dbcb1d4
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.17.4.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ <dev-python/dnspython-2[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/aiocontextvars[${PYTHON_USEDEP}]
+ dev-python/contextvars[${PYTHON_USEDEP}]
+ ' python3_6)
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # tests require Internet access
+ --deselect tests/integrations/stdlib/test_httplib.py
+ --deselect tests/integrations/requests/test_requests.py
+ # wtf is it supposed to do?!
+ --deselect tests/integrations/gcp/test_gcp.py
+ # fails on py3.6, hangs on py3.7+
+ --deselect
+ 'tests/test_transport.py::test_transport_works[eventlet'
+ # TODO
+ --deselect
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ --deselect
+ tests/test_client.py::test_databag_depth_stripping
+ --deselect
+ tests/test_client.py::test_databag_string_stripping
+ --deselect
+ tests/test_client.py::test_databag_breadth_stripping
+ # test_filename: apparently unhappy about pytest being called pytest
+ --deselect 'tests/utils/test_general.py::test_filename'
+ # test_circular_references: apparently fragile
+ --deselect
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ )
+ [[ ${EPYTHON} == python3.6 ]] && deselect+=(
+ # broken with contextvars on py3.6
+ --deselect
+ 'tests/utils/test_contextvars.py::test_leaks[greenlet]'
+ --deselect
+ 'tests/test_transport.py::test_transport_works[greenlet'
+ )
+ pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild b/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
index 583ccf9c5a2c..f483743a95de 100644
--- a/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
+++ b/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
@@ -12,4 +12,4 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 arm ~arm64 hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"